Option Strict Off
Option Explicit On


Public Module ErrorProcessingRoutines
    ' ErrorProcessingRoutines

    ' Modifications
    ' ----------------------------------------------------------------------------------------------------

    Public Function PostError(ByVal rstrProgramName As String, Optional ByVal rstrWhile As String = "", Optional ByVal rlngErrorCode As Object = Nothing, Optional ByVal rstrErrorMessage As Object = Nothing) As String

        Dim lngErrorCode As Integer
        Dim strErrorMessage As String

        lngErrorCode = IIf(IsNothing(rlngErrorCode), Err.Number, rlngErrorCode)
        strErrorMessage = IIf(IsNothing(rstrErrorMessage), Err.Description, rstrErrorMessage)

        PostError = IIf(rstrProgramName = "", "", "In " & rstrProgramName & IIf(rstrWhile = "", "", " while " & rstrWhile) & "...<br>") & IIf(lngErrorCode > 1000 And lngErrorCode < 1100, strErrorMessage, vbTab & "Error Code " & IIf(lngErrorCode < 0, Hex(lngErrorCode), lngErrorCode) & "--" & strErrorMessage)

    End Function
End Module
